<h1>sIT {{year}}</h1>

<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active">
    <a href="#overview" aria-controls="overview" role="tab" data-toggle="tab">{{{i18n 'year.overview'}}}</a>
  </li>
  {{#if schedule.length}}
    <li role="presentation">
      <a href="#presentations" aria-controls="presentations" role="tab" data-toggle="tab">
        {{{i18n 'year.presentations'}}}
      </a>
    </li>
  {{/if}}
  {{#if workshops.length}}
    <li role="presentation">
      <a href="#workshops" aria-controls="workshops" role="tab" data-toggle="tab">{{{i18n 'year.workshops'}}}</a>
    </li>
  {{/if}}
</ul>

<div class="tab-content well">

  <div role="tabpanel" id="overview" class="tab-pane active">
    {{#if poster}}
      <div class="media">
        <div class="pull-right poster-container">
          <div class="thumbnail">
            <a href="{{relativeURL 'poster' poster.full}}">
              <img class="media-object poster-preview" src="{{relativeURL 'poster' poster.small}}" alt="poster"/>
            </a>
            <div class="caption text-right">Copyright &copy; {{year}}, SIT-Orga {{year}}</div>
          </div>
        </div>
        <div class="text-justify text-large">{{{overview}}}</div>
      </div>
    {{else}}
      <div class="text-justify text-large">{{{overview}}}</div>
    {{/if}}
  </div>

  <div role="tabpanel" id="presentations" class="tab-pane">
    <ol class="timeline">
      {{#each schedule}}
        <li class="timeline-label">
          <a role="button" data-toggle="collapse" data-parent="#presentations"
             href="#presentations-{{moment date format="YYYY-MM-DD" input="YYYY/MM/DD"}}" aria-expanded="true"
             aria-controls="presentations-{{moment date format="YYYY-MM-DD" input="YYYY/MM/DD"}}">
            <i class="fa fa-fw fa-calendar"></i> {{moment date format="dddd, L" input="YYYY/MM/DD"}}
          </a>
        </li>
        <li id="presentations-{{moment date format="YYYY-MM-DD" input="YYYY/MM/DD"}}"
            class="timeline-items collapse in">
          {{#each list}}
            {{#withLookup ../../presentations presentation}}
              <div class="timeline-item">
                <div class="badge badge-{{#if color}}{{color}}{{else}}info{{/if}}">
                  <i class="fa fa-{{#if icon}}{{icon}}{{else}}comment{{/if}}"></i>
                </div>
                <div class="panel panel-default">
                  <h4 class="panel-heading">
                    {{{title}}}
                    <small class="text-muted text-mono pull-right">
                      <i class="fa fa-fw fa-clock-o"></i> {{moment ../time format="LT" input="hh:mm"}}
                      <i class="fa fa-fw fa-ellipsis-h"></i>
                      {{#if duration}}
                        {{momentAdd ../time duration format="LT" input="hh:mm" unit="minutes"}}
                      {{/if}}
                    </small>
                  </h4>
                  {{#if short}}
                    <div class="panel-body">{{> eventBody}}</div>
                  {{/if}}
                  {{> eventFooter}}
                </div>
              </div>
            {{/withLookup}}
          {{/each}}
        </li>
      {{/each}}
    </ol>
  </div>

  <div role="tabpanel" id="workshops" class="tab-pane">
    {{#each workshops}}
      <div class="panel panel-info">
        <h4 class="panel-heading">{{{title}}}</h4>
        <div class="panel-body">
          <ol class="no-list-style text-muted text-mono">
            {{#each times}}
              <li>
                <i class="fa fa-fw fa-calendar"></i>
                {{moment datetime format="dddd, L" input="YYYY/MM/DD hh:mm"}}
                <i class="fa fa-fw fa-clock-o"></i>
                {{moment datetime format="LT" input="YYYY/MM/DD hh:mm"}}
                <i class="fa fa-fw fa-ellipsis-h"></i>
                {{#if duration}}
                  {{momentAdd datetime duration format="LT" input="YYYY/MM/DD hh:mm" unit="minutes"}}
                {{/if}}
              </li>
            {{/each}}
          </ol>
          {{> eventBody}}
        </div>
        {{> eventFooter}}
      </div>
    {{/each}}
  </div>

</div>
